num_steps=500000
seed=123

for fourier_frequencies in 30 32
do

    echo "fourier_continuous_ordering_v1, reward conditioned"
    echo "num_steps = $num_steps"
    echo "fourier_frequencies = $fourier_frequencies"
    echo "seed=$seed"

    python run_dt_atari.py \
        --seed $seed \
        --context_length 30 \
        --epochs 5 \
        --model_type 'reward_conditioned' \
        --num_steps $num_steps \
        --num_buffers 50 \
        --game 'Seaquest' \
        --batch_size 128 \
        --data_dir_prefix ./dataset/ \
        --fourier_type fourier_continuous_ordering_v1 \
        --fourier_frequencies $fourier_frequencies \
        --save_multinomials_path output/multinomials/rewcon_seed_${seed}_fourier_${fourier_frequencies}
done
